system-inventory

GET /system/{hostname}/hwinventory

Get or Forward System Inventory

Collects hardware inventory from local system or forwards to target node. Stores result in database.

Parameters:
  • hostname (string) – Hostname of the node

Query Parameters:
  • target_node (string) – Target node hostname to forward to

  • save (boolean) – Save to database (default: true)

Status Codes:
Response JSON Object:
  • bios.date (string)

  • bios.vendor (string)

  • bios.version (string)

  • bmc_ip (string)

  • controlnode_ip (string)

  • cpu.cores (string)

  • cpu.model (string)

  • cpu.processors (string)

  • cpu.vendor (string)

  • memory.available_kb (string)

  • memory.free_kb (string)

  • memory.total_kb (string)

  • nics[].interface (string)

  • nics[].ipv4 (string)

  • nics[].ipv6 (string)

  • nics[].legacy_name (string)

  • nics[].mac (string)

  • nics[].state (string)

  • pcie[].class (string)

  • pcie[].device (string)

  • pcie[].slot (string)

  • pcie[].vendor (string)

  • storage[].device_path (string)

  • storage[].dwpd (string)

  • storage[].interface (string)

  • storage[].model (string)

  • storage[].name (string)

  • storage[].rotational (integer)

  • storage[].serial_number (string)

  • storage[].size (string)

  • storage[].smart_status (string)

  • storage[].type (string)

  • storage[].wear_level (string)

  • storage[].wwn (string)

  • system.arch (string)

  • system.hostname (string)

  • system.kernel (string)

  • system.os (string)

  • uptime (string)